DRM_RECT_INTERSECT(9)

NAME
drm_rect_intersect - intersect two rectangles

SYNOPSIS

bool drm_rect_intersect(struct drm_rect * r1, const struct drm_rect * r2);

ARGUMENTS

r1
    first rectangle

r2
    second rectangle

DESCRIPTION

Calculate the intersection of rectangles r1 and r2. r1 will be overwritten with the intersection.

RETURNS

true if rectangle r1 is still visible after the operation, false otherwise.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT